ResourceForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.ResourceForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource
Class ResourceForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddNotificationsForm, AddResourcesForm, ApplicationForm, DefinitionForm, EscalationSchemeForm, MonitoringConfigForm, OpenNMSForm, PlatformAutoDiscoveryForm, PlatformForm, RemoveDefinitionForm, RemoveForm, RemoveGroupResourcesForm, RemoveNotificationsForm, RemoveResourceForm, ResourceConfigForm, ServerForm, ServiceForm, SyslogActionForm

    public class ResourceForm

extends ScheduleForm

A subclass of `BaseValidatorForm` that adds convenience methods for dealing with appdef resource objects like Platform Server, & Service.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ResourceForm()`

Method Summary
`java.lang.String` | `getAetid()`
`java.lang.String` | `getDescription()` Returns the description.
`java.lang.String` | `getEid()`
`java.lang.String` | `getLocation()` Returns the location.
`java.lang.String` | `getName()` Returns the name.
`java.lang.Integer` | `getResourceType()` Returns the resourceType.
`java.util.List` | `getResourceTypes()` Returns the resourceTypes.
`java.lang.Integer` | `getRid()` Returns the rid.
`java.lang.Integer` | `getType()` Returns the type.
`boolean` | `isCanModify()`
`void` | `loadResourceValue(AppdefResourceValue sValue)` loads the server value
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAetid(java.lang.String str)`
`void` | `setCanModify(boolean canModify)`
`void` | `setDescription(java.lang.String description)` Sets the description.
`void` | `setEid(java.lang.String eidStr)`
`void` | `setLocation(java.lang.String location)` Sets the location.
`void` | `setName(java.lang.String name)` sets the name.
`void` | `setResourceType(java.lang.Integer resourceType)` Sets the resourceType.
`void` | `setResourceTypes(java.util.List resourceTypes)` Sets the resourceTypes.
`void` | `setRid(java.lang.Integer rid)` Sets the rid.
`void` | `setType(java.lang.Integer type)` Sets the type.
`java.lang.String` | `toString()`
`void` | `updateResourceValue(AppdefResourceValue rValue)` loads the server value
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceForm

    public ResourceForm()

Method Detail

### getName

    public java.lang.String getName()

  Returns the name.

  Returns:
    String

### isCanModify

    public boolean isCanModify()

### setCanModify

    public void setCanModify(boolean canModify)

### setName

    public void setName(java.lang.String name)

  sets the name.

### getDescription

    public java.lang.String getDescription()

  Returns the description.

  Returns:
    String

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description.

  Parameters:
    `description` - The description to set

### getLocation

    public java.lang.String getLocation()

  Returns the location.

  Returns:
    Integer

### setLocation

    public void setLocation(java.lang.String location)

  Sets the location.

  Parameters:
    `location` - The location to set

### getResourceTypes

    public java.util.List getResourceTypes()

  Returns the resourceTypes.

  Returns:
    List

### setResourceTypes

    public void setResourceTypes(java.util.List resourceTypes)

  Sets the resourceTypes.

  Parameters:
    `resourceTypes` - The resourceTypes to set

### getResourceType

    public java.lang.Integer getResourceType()

  Returns the resourceType.

  Returns:
    Integer

### setResourceType

    public void setResourceType(java.lang.Integer resourceType)

  Sets the resourceType.

  Parameters:
    `resourceType` - The resourceType to set

### getAetid

    public java.lang.String getAetid()

### setAetid

    public void setAetid(java.lang.String str)

### getRid

    public java.lang.Integer getRid()

  Returns the rid.

  Returns:
    String

### setRid

    public void setRid(java.lang.Integer rid)

  Sets the rid.

  Parameters:
    `rid` - The rid to set

### getType

    public java.lang.Integer getType()

  Returns the type.

  Returns:
    String

### setType

    public void setType(java.lang.Integer type)

  Sets the type.

  Parameters:
    `type` - The type to set

### getEid

    public java.lang.String getEid()

### setEid

    public void setEid(java.lang.String eidStr)

### loadResourceValue

    public void loadResourceValue(AppdefResourceValue sValue)

  loads the server value

  Parameters:
    `sValue` -

### updateResourceValue

    public void updateResourceValue(AppdefResourceValue rValue)

  loads the server value

  Parameters:
    `sValue` -

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ScheduleForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `ScheduleForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ScheduleForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.